%define pkg_name        Path-Class
%define pkg_version     0.16
%define rpm_pkg_version 0.16
%define rpm_pkg_release 1.n0i.4

Summary:       Cross-platform path specification manipulation
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KW/KWILLIAMS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(File::Path)}
%{!?_without_test:BuildRequires: perl(File::Spec) >= 0.87}
%{!?_without_test:BuildRequires: perl(File::stat)}
%{!?_without_test:BuildRequires: perl(IO::Dir)}
%{!?_without_test:BuildRequires: perl(IO::File)}
%{!?_without_test:BuildRequires: perl(Test::More)}
%{!?_without_test:BuildRequires: perl(overload)}


%description
Path::Class is a module for manipulation of file and directory specifications
(strings describing their locations, like '/home/ken/foo.txt' or
'C:\Windows\Foo.txt') in a cross-platform manner. It supports pretty much
every platform Perl runs on, including Unix, Windows, Mac, VMS, Epoc, Cygwin,
OS/2, and NetWare.
The well-known module "File::Spec" also provides this service, but it's sort
of awkward to use well, so people sometimes avoid it, or use it in a way that
won't actually work properly on platforms significantly different than the
ones they've tested their code on.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.16-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.16

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> - 0.15-1.n0i.3
- version 0.15

* Thu Sep 01 2005 Marius Feraru <altblue@n0i.net> 0.13-1.n0i.2
- version 0.13

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 0.12-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
